Christoph Neubauer wrote:

> Hi Rubyists !

Moin!

> I'm  using ruby 1.6.8 (2002-12-24) [i586-mswin32]
> What I tinkered for tracing is (simplified) this:

Ruby 1.8.0 contains a tracer.rb as part of the Standard Library. I'm not 
sure whether it already existed in Ruby 1.6.8, but maybe you can make 
some usage of it or its source code.

Regards,
Florian Gross